# Class FilesController | EchoHub Documentation

# Class FilesController

Namespace
  EchoHub.Server.Controllers

Assembly
  EchoHub.Server.dll

    [ApiController]
    [Route("api/files")]
    [Authorize]
    [EnableRateLimiting("general")]
    public class FilesController : ControllerBase

Inheritance
  object
  ControllerBase
  FilesController

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### FilesController(FileStorageService)

    public FilesController(FileStorageService fileStorage)

#### Parameters

`fileStorage` FileStorageService

## Methods

### GetFile(string)

    [HttpGet("{fileId}")]
    public IActionResult GetFile(string fileId)

#### Parameters

`fileId` string

#### Returns

IActionResult